CREATE procedure [C6Staging].[RP_ST_Parentela]
as
begin
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Parentela',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_Parentela
--	insert into c6staging.RP_Parentela
--	--select * into c6staging.RP_Parentela from [CONSUNI].[consulenzaEvoluta].dbo.Parentela
--		select chiaveClientePB1,
--chiaveClientePB2,
--idParentela     ,
--dtMatrimonio    ,
--aCarico         ,
--dtCensimento    ,
--dtFine           
-- from [CONSUNI].[consulenzaEvoluta].dbo.Parentela
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Parentela' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Parentela'
		)
end